JUCE: AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness > Struct Template Reference
juce_audio_formats » format

Used by AudioFormatWriter subclasses to copy data to different formats. More...

`#include <juce_AudioFormatWriter.h>`

## Public Types
using | DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>
using | SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

## Static Public Member Functions
static void | write (void *destData, int numDestChannels, const int *const *source, int numSamples, const int sourceOffset=0) noexcept

## Detailed Description

template<class DestSampleType, class SourceSampleType, class DestEndianness>
struct AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >

Used by AudioFormatWriter subclasses to copy data to different formats.

## Member Typedef Documentation

## ◆ DestType

template<class DestSampleType , class SourceSampleType , class DestEndianness >

using AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>

## ◆ SourceType

template<class DestSampleType , class SourceSampleType , class DestEndianness >

using AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

## Member Function Documentation

## ◆ write()

template<class DestSampleType , class SourceSampleType , class DestEndianness >

static void AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::write | ( | void * | destData,
|  | int | numDestChannels,
|  | const int *const * | source,
|  | int | numSamples,
|  | const int | sourceOffset = 0 )
| staticnoexcept

References addBytesToPointer(), AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::clearSamples(), and AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::convertSamples().

The documentation for this struct was generated from the following file:

- juce_AudioFormatWriter.h